/**
 * @file config.js
 * @author Yern Sun <sunyueran@baidu.com>
 * @createDate 2016-11-30
 */

var resourceMap = {
    "res": {
        "common:fis-conf-piao.js": {
            "uri": "../fis-conf-piao_f7c7f2b.js",
            "type": "js"
        },
        "common:static/css/common.less": {
            "uri": "../static/css/common_4d1104a.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:static/js/lib/zepto.min.js": {
            "uri": "../static/js/lib/zepto.min_5d80d0f.js",
            "type": "js",
            "pkg": "common:p0"
        },
        "common:static/config.js": {
            "uri": "../static/config_1150637.js",
            "type": "js"
        },
        "common:static/js/mod.js": {
            "uri": "../static/js/mod_d13b811.js",
            "type": "js"
        },
        "common:static/js/bigpipe.js": {
            "uri": "../static/js/bigpipe_9ca78c2.js",
            "type": "js"
        },
        "common:static/utils/pageJump.js": {
            "uri": "../static/utils/pageJump_568962b.js",
            "type": "js",
            "pkg": "common:p1"
        },
        "common:static/utils/widget.js": {
            "uri": "../static/utils/widget_684cddd.js",
            "type": "js",
            "pkg": "common:p1"
        },
        "common:static/utils/widget.page.js": {
            "uri": "../static/utils/widget.page_128d562.js",
            "type": "js",
            "pkg": "common:p1"
        },
        "common:static/utils/ready.js": {
            "uri": "../static/utils/ready_62401d8.js",
            "type": "js",
            "pkg": "common:p1"
        },
        "common:static/utils/date.js": {
            "uri": "../static/utils/date_c8a6f95.js",
            "type": "js",
            "pkg": "common:p1"
        },
        "common:static/utils/stat.js": {
            "uri": "../static/utils/stat_78595a9.js",
            "type": "js",
            "pkg": "common:p1"
        },
        "common:page/inline.head.html": {
            "uri": "/page/inline.head.html",
            "type": "html"
        },
        "common:page/inline.nav.html": {
            "uri": "/page/inline.nav.html",
            "type": "html"
        },
        "common:page/bainuo.html": {
            "uri": "/page/bainuo.html",
            "type": "html",
            "deps": [
                "common:widget/page/page.js"
            ]
        },
        "common:static/css/border-import.less": {
            "uri": "../static/css/border-import_c4d262a.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:static/css/mixin-import.less": {
            "uri": "../static/css/mixin-import_d41d8cd.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:static/css/reset-import.less": {
            "uri": "../static/css/reset-import_956f7be.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:static/css/ui-import.less": {
            "uri": "../static/css/ui-import_b4d2609.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:static/js/lazyload.js": {
            "uri": "../static/js/lazyload_1fe3a34.js",
            "type": "js"
        },
        "common:static/js/lib/echarts.common.min.js": {
            "uri": "../static/js/lib/echarts.common.min_77e9d23.js",
            "type": "js",
            "pkg": "common:p0"
        },
        "common:static/js/lib/swiper.min.js": {
            "uri": "../static/js/lib/swiper.min_d6db961.js",
            "type": "js",
            "pkg": "common:p0"
        },
        "common:static/js/page.js": {
            "uri": "../static/js/page_60a72cd.js",
            "type": "js",
            "deps": [
                "common:static/js/bigpipe.js"
            ]
        },
        "common:widget/calendar/calendar.js": {
            "uri": "../widget/calendar/calendar_45ea2a4.js",
            "type": "js",
            "extras": {
                "moduleId": "common:widget/calendar/calendar"
            },
            "deps": [
                "common:widget/filter/filter.js",
                "common:widget/calendar/calendar.less"
            ]
        },
        "common:widget/calendar/calendar.less": {
            "uri": "../widget/calendar/calendar_31c305f.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:widget/calendar/canlendar-index.less": {
            "uri": "../widget/calendar/canlendar-index_af53fce.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:widget/city-date-picker/city-date-picker.js": {
            "uri": "../widget/city-date-picker/city-date-picker_4397350.js",
            "type": "js",
            "extras": {
                "moduleId": "common:widget/city-date-picker/city-date-picker"
            },
            "deps": [
                "common:widget/calendar/calendar.js",
                "common:widget/city-date-picker/city-date-picker.less"
            ]
        },
        "common:widget/city-date-picker/city-date-picker.less": {
            "uri": "../widget/city-date-picker/city-date-picker_a3c2c66.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:widget/datepicker/datepicker.js": {
            "uri": "../widget/datepicker/datepicker_6cc1ee4.js",
            "type": "js",
            "extras": {
                "moduleId": "common:widget/datepicker/datepicker"
            },
            "deps": [
                "common:widget/calendar/calendar.js",
                "common:widget/datepicker/datepicker.less"
            ]
        },
        "common:widget/datepicker/datepicker.less": {
            "uri": "../widget/datepicker/datepicker_b8be354.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:widget/filter/filter.js": {
            "uri": "../widget/filter/filter_7e03724.js",
            "type": "js",
            "extras": {
                "moduleId": "common:widget/filter/filter"
            },
            "deps": [
                "common:widget/filter/filter.less"
            ]
        },
        "common:widget/filter/filter.less": {
            "uri": "../widget/filter/filter_1689fe0.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:widget/footer-nav/nav.less": {
            "uri": "../widget/footer-nav/nav_263de54.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:widget/header-tab/tab.less": {
            "uri": "../widget/header-tab/tab_0b44b95.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:widget/header/header.js": {
            "uri": "../widget/header/header_b3fa70e.js",
            "type": "js",
            "extras": {
                "moduleId": "common:widget/header/header"
            },
            "deps": [
                "common:widget/header/header.less"
            ]
        },
        "common:widget/header/header.less": {
            "uri": "../widget/header/header_20f6b7c.css",
            "type": "css",
            "pkg": "common:p2"
        },
        "common:widget/home/home.js": {
            "uri": "../widget/home/home_aee49aa.js",
            "type": "js",
            "extras": {
                "moduleId": "common:widget/home/home"
            }
        },
        "common:widget/page/page.js": {
            "uri": "../widget/page/page_8c6665a.js",
            "type": "js",
            "extras": {
                "moduleId": "common:widget/page/page"
            },
            "deps": [
                "common:widget/home/home.js"
            ]
        },
        "common:widget/popup/popup.js": {
            "uri": "../widget/popup/popup_8b8b49e.js",
            "type": "js",
            "extras": {
                "moduleId": "common:widget/popup/popup"
            }
        }
    },
    "pkg": {
        "common:p0": {
            "uri": "../static/lib_34bd133.js",
            "type": "js",
            "has": [
                "common:static/js/lib/zepto.min.js",
                "common:static/js/lib/echarts.common.min.js",
                "common:static/js/lib/swiper.min.js"
            ]
        },
        "common:p1": {
            "uri": "../static/utils_72a32da.js",
            "type": "js",
            "has": [
                "common:static/utils/pageJump.js",
                "common:static/utils/widget.js",
                "common:static/utils/widget.page.js",
                "common:static/utils/ready.js",
                "common:static/utils/date.js",
                "common:static/utils/stat.js"
            ]
        },
        "common:p2": {
            "uri": "../static/common_dc3ee51.css",
            "type": "css",
            "has": [
                "common:static/css/common.less",
                "common:static/css/border-import.less",
                "common:static/css/mixin-import.less",
                "common:static/css/reset-import.less",
                "common:static/css/ui-import.less",
                "common:widget/calendar/calendar.less",
                "common:widget/calendar/canlendar-index.less",
                "common:widget/city-date-picker/city-date-picker.less",
                "common:widget/datepicker/datepicker.less",
                "common:widget/filter/filter.less",
                "common:widget/footer-nav/nav.less",
                "common:widget/header-tab/tab.less",
                "common:widget/header/header.less"
            ]
        }
    }
};

var ONLINEHOST = window.ONLINEHOST || 'http://piaofang.baidu.com';
// var ONLINEHOST = 'http://cp01-rdqa-dev427.cp01.baidu.com:8888';