/**
 * @file 演出首页
 * @desc data-url跳转
 * @example <div data-url="piaolist" bn-data={"a":"1"}></div>通过这种方式只能在本页面打开
 * @author  zhangyong06@baidu.com
 * @update YernSun(sunyueran)
 */

(function () {
    var JUMP_URL_ATTR = 'data-url';
    var JUMP_URL_DATA = 'bn-data';
    var JUMP_URL_TYPE = 'bn-target';
    var NA_URL = 'data-na';
    var wrapper = document.body;
    var clickEvent = 'ontouchend' in window ? 'touchend' : 'click';
    // 全局
    var t1 = null;
    //    document.addEventListener('gesturestart', function (e) {
    //        e.preventDefault();
    //    });
    // hack: 使active 伪类生效
    document.addEventListener('touchstart', function () {}, true);
    document.addEventListener('click', proxy, true);

    function matchSelector(element, selector) {
        if (!element || element.nodeType !== 1) {
            return false;
        }
        var parent;
        var match;
        var matchesSelector = element.webkitMatchesSelector || element.matchesSelector;
        if (matchesSelector) {
            match = matchesSelector.call(element, selector);
        }
        else {
            parent = element.parentNode;
            match = !!parent.querySelector(selector);
        }
        return match;
    }

    function navigate(url, bnData, bnTarget) {
        var args = arguments;
        bnData = JSON.parse(bnData || '{}');
        bnData.AppPage = url;
        if (url.indexOf('?') !== -1) {
            url.replace(/.+\?(.+)$/i, function ($0, query) {
                query.split('&').forEach(function (param) {
                    param = param.split('=');
                    bnData[param[0]] = param[1];
                });
            });
        }
        window.BNMJS.page.start('index', bnData, bnTarget);
    }

    function jsonToQuery(data) {
        var query = [];
        if (data) {
            for (var k in data) {
                if ((typeof data[k]).match(/number|string|boolean/)) {
                    query.push(encodeURIComponent(k) + '=' + encodeURIComponent(data[k]));
                }
            }
        }
        return query.join('&');
    }

    function proxy(e) {
        // 防止连续触发事件 例如设置了click为true的iscroll对象
        if (t1 == null) {
            t1 = new Date().getTime();
        }
        else {
            var t2 = new Date().getTime();
            if (t2 - t1 < 500) {
                t1 = t2;
                return;
            }
            /* eslint-disable no-else-return */
            else {
                t1 = t2;
            }
        }

        // 设置延时：发出stat统计
        setTimeout(function () {
            var element = e.target;
            var parent = element;
            var selector = '[data-url]';

            while (parent !== document.body) {
                if (matchSelector(parent, selector)) {
                    var bnData = parent.getAttribute(JUMP_URL_DATA);
                    var bnTarget = parent.getAttribute(JUMP_URL_TYPE);
                    var url = parent.getAttribute(NA_URL);
                    if (!url) {
                        url = parent.getAttribute(JUMP_URL_ATTR);
                    }
                    e.stopPropagation();
                    e.preventDefault();

                    // navigate(url, bn_data, bn_target);
                    navigate(url, bnData, bnTarget);
                    return;
                }
                else if (parent && parent.parentNode) {
                    parent = parent.parentNode;
                }
                else {
                    break;
                }
            }
        }, 100);
    }
})();