define('common:widget/city-date-picker/city-date-picker', function(require, exports, module) {

  /**
   * @file city-date-picker.js
   * @author Yern Sun <sunyueran@baidu.com>
   * @createDate 2016-09-24
   */
  
  module.exports = require('common:widget/calendar/calendar').extend({
      name: 'city-date-picker',
      /**
       * 重载日历选择器
       * @override
       */
      init: function () {
          // 调用父类构造函数
          this.$super('init', arguments);
          this.$el.find('[widget="area-contaner"]').html($('[template="area"]').html());
      },
  
      /**
       * 城市展示接口
       * @param {Object} e   标准事件
       */
      showCity: function (e) {
          var self = this._setActive();
          var offset = self.$el.offset();
          var areaDom = self.$el.find('[widget="area"]');
          $(e.target).next().addClass('on');
          // 实时计算高度，避免多次打开滚动导致问题
          areaDom.toggleClass('hide').css({
              //            top: offset.top + offset.height
              top: offset.height,
              height: $(window).height() - $('#header').height()
          });
          self.$disbleScroll();
      },
  
      /**
       * 外部接口，禁止城市选择
       * @return {Object} 组件自身实例，用于链式调用
       */
      disableCityPicker: function () {
          this.$el.children('ul').children().not('.flex-1').hide();
          return this;
      },
  
      /**
       * 城市选择
       * @param   {Object}   e 标准事件
       * @return {Object} 外部事件参数
       */
      pickCity: function (e) {
          var $el = $(e.target);
          var data = $el.data();
          this.close(true);
          this.$el.find('.city-name').html(data.params.name || data.city);
          return data.params;
      }
  });

});
