fis.set('namespace', 'common');
fis.hook('commonjs');
//fis.match('::package', {
//    postpackager: fis.plugin('loader', {
//        resourceType: 'commonJs'
//    })
//});



fis.set('project.ignore', ['mock/**']); 
fis.match('*.(less)', {
    parser: fis.plugin('less'),
    rExt: '.css',
    url: '$0',
    useHash: true,
    optimizer: fis.plugin('clean-css'),
    domain: '..'
});

fis.match('::image', {
    useHash: true
});

fis.match('*.js', {
    domain: '..'
});

fis.match('*.css', {
    optimizer: fis.plugin('clean-css'),
    domain: '..'
});

fis.match('*.png', {
        optimizer: fis.plugin('png-compressor')
    })
    .match(/^.+?(?!inlineimages).*?([^\/]+\.(?:png|gif|jpg|jpeg))$/i, {
        //    optimizer: fis.plugin('png-compressor'),
        release: 'static/images/$1'
            //    domain: '../'
    }).match('/widget/**/*.png', {
        //    release : 'static/images/$2',
        domain: '..'
    }).match('/static/**/*.png', {
        domain: '..'
    }).match('*.(woff,eot)', {
        domain: '.'
    });





// 以下是不发布的资源
fis.match('fis-conf*.js', {
        release: false
    }).match('*.json', {
        useHash: false
    }).match('*.html', {
        useHash: false
    }).match('*.{js,css}', {
        useHash: true,
    }).match('(**).wap.js', {
        release: false
    }).match('**.sh', {
        release: false
    }).match('**.tmpl', {
        rExt: '.js',
        parser: fis.plugin('bdtmpl', {
            LEFT_DELIMITER: '<%',
            RIGHT_DELIMITER: '%>'
        }), // baiduTemplate
        release: false
    }).match(/^\/?output.+/i, {
        release: false
    })
    .match('**.zip', {
        release: false
    }).match(/(mock|test).js$/i, {
        release: false
    }).match(/^(?=\/?mock).+$/i, {
        release: false
    });


fis.match('/widget/**', {
    useSameNameRequire: true,
});
fis.match('/widget/**.js', {
    isMod: true
}).match('/static/util/**.js', {
    isMod: true
});

//打包配置设置
var packConfig = {
    packager: fis.plugin('map', {
        'static/lib.js': [
            '/static/lib/zepto.js',
            '/static/lib/**.js'
        ],
        'static/util.js': [
            '/static/util/**.js'
        ],
        'static/common.css': [
            '/**.less',
            '/**.css'
        ]
    }),

    spriter: fis.plugin('csssprites', {
        scale: 0.5
    }),
    postpackager: fis.plugin('loader', {
        resourceType: 'commonJs'
    })
};


// 版本控制
fis.match('static/version.js', {
    release: true,
    isMod: false,
    useHash: false,
    postprocessor: function (content, file, settings) {
        return content += '\n window.released=new Date()/1000;';
    }
});


fis.match('*.{html,tpl}', {
    useMap: true
});

fis.match('::package', packConfig);


fis.match(/^(?!\/?mock).+$/, {
    deploy: fis.plugin('local-deliver', {
        to: './mock/webroot'
    })
});

// 追加线上资源
fis.media('prod').match('static/version.js', {
        domain: 'https://yc.baidu.com',
        optimizer: fis.plugin('uglify-js'),
        postprocessor: function (content, file, settings) {
            return 'window.released="' + (+new Date()) + '";';
        }
    }).match('*.js', {
        // fis-optimizer-uglify-js 插件进行压缩，已内置
        //        optimizer: fis.plugin('uglify-js')
    })
    // 剔除除common.css以外的所有css
    .match(/^.+?\/(?!common|base)[^\/]+\.(css|less)$/i, {
        release: false
    })
    .match(/(mock|inline|qa)\.js$/i, {
        release: false
    }).match(/lib\/(?!empty).+\.js$/i, {});