/**
 * @file 统计逻辑
 * @author Yern Sun <sunyueran@baidu.com>
 * @createDate 2016-12-13
 */

(function (root) {
    if (!root.addStat) {
        var logImage = document.getElementById('stat-log');
        var url = 'https://movielog.baidu.com/img/transparent.gif';
        var container = document.getElementById('stat-container');

        function addStat(params, callback) {
            window.BNMJS.page.getData(function (data) {
                var defaultParams = {
                    'resid': 31, // 这个是刚接电影的时候留下来的，不知道还有没有用，写死的31
                    'from': data['from'] || 'zj', //  值只有webapp和zj，标识是手百或者组件
                    'da_ver': '2.1.0', // 迁移SAK平台，添加webapp标识
                    'da_trd': 'movie', // 写死movie, 表示是movie产品线的日志
                    'da_thirdpar': data['sfrom'] || '', // sfrom值
                    'da_subchannel': data['sub_channel'] || 'movie', // subchannel
                    'da_channel': data['da_channel'], // da_channel、da_client、da_module对应sfrom解析的channel、client、module
                    'da_client': data['da_client'],
                    'da_module': data['da_module']
                };
                var img = document.createElement('img');
                img.src = url + '?' + jsonToUrl($.extend(defaultParams, params));
                container.appendChild(img);
            });
        }
        addStat.$params = {};
        addStat.addParams = function (params) {
            return $.extend(this.$params, params || {});
        };


        $('body').on('click', '[data-log]', function (e) {
            var params = {};
            $.extend(params, this.$params, $(e.target).data(), {
                'da_act': 'click'
            });
        });
        window.addStat = addStat;

        function jsonToUrl(json) {
            if (!json) {
                return '';
            }
            var arr = [];
            for (var key in json) {
                if (json.hasOwnProperty(key)) {
                    if (json[key] === undefined || json[key] === null) {
                        json[key] = '';
                    }
                    arr.push(key + '=' + encodeURIComponent(json[key]));
                }
            }
            return arr.join('&');
        }
    }
})(window);