/**
 * @file widget.page.js
 * @author Yern Sun <sunyueran@baidu.com>
 * @createDate 2016-11-15
 */

window.Widget.Page = window.Widget.extend({
    init: function () {
        var self = this;
        var args = arguments;
        // to avoid ready be called more then twice
        var readyCalled = false;
        if (self.$disableFilter === true) {
            $('#wrapper').css('margin-top', $('#header').height());
        }
        var name = self.$el.attr('widget');
        // 同步加载
        if (self.$el.find('#' + name).children().size() > 0) {
            self.ready.apply(self, args);
            readyCalled = true;
        }
        // pagelet加载
        else {
            window.BigPipe.on('pageletdone', function (option, request) {
                if (!readyCalled && request.id === self.name && $.isFunction(self.ready)) {
                    self.ready.apply(self, args);
                    readyCalled = true;
                }
            });
        }
        $('#wrapper').css({
            height: $(window).height() - $('#footer').height() - $('#header').height(),
            paddingTop: $('#header').height()
        });
    }
});